## gate.util
Class Tools

    java.lang.Object
      |
      +--gate.util.Tools

public class Tools
extends Object

Field Summary
`private static boolean` `DEBUG` Debug flag
`(package private) static long` `sym`
`private static boolean` `unicodeEnabled` Does Gate know about Unicode?

Constructor Summary
`Tools()`

Method Summary
`static Long` `gensym()` Returns a Long wich is unique during the current run.
`static Long` `genTime()`
`static boolean` `isUnicodeEnabled()` Checks wheter Gate is Unicode enabled
`static void` `setUnicodeEnabled(boolean value)` Specifies whether Gate should or shouldn't know about Unicode

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

  Debug flag

### sym

    static long sym

### unicodeEnabled

    private static boolean unicodeEnabled

  Does Gate know about Unicode?

Constructor Detail

### Tools

    public Tools()

Method Detail

### gensym

    public static Long gensym()

  Returns a Long wich is unique during the current run. Maybe we should use serializaton in order to save the state on System.exit...

### genTime

    public static Long genTime()

### setUnicodeEnabled

    public static void setUnicodeEnabled(boolean value)

  Specifies whether Gate should or shouldn't know about Unicode

### isUnicodeEnabled

    public static boolean isUnicodeEnabled()

  Checks wheter Gate is Unicode enabled